MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024767Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-03-26 18:462014-05-05 13:39
Reporteraba 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024767: Crash on making edges in HLRBRep
DescriptionOn HLRBRep::MakeEdge() step: if incoming curve is a trimmed B-spline one, downcast of Geom_Curve to Geom_BSplineCurve leads to null object and crash.
Steps To ReproduceThe crash is reprodused on MFC HLR sample:
1) Run MFC HLR sample
2) File->Import->Brep
3) Choose the restored shape in 3D view and press HLR button (or File->Process HLR)
4) Press 'Get shapes' button with default parameters in dialog
5) Then, after result has been displayed in 2d HLR view, choose 'Algo' radio button in the HLR dialog.
Additional information
and documentation updates
HLRBRep: modified method

TopoDS_Edge HLRBRep::MakeEdge (const HLRBRep_Curve& ec,
                               const Standard_Real U1,
                               const Standard_Real U2)
safe code: additional check of the type of the curve.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028518)
jgv (developer)
2014-03-27 17:27

The branch CR24767 is ready for testing.
(0028537)
jgv (developer)
2014-03-28 14:02

The branch CR24767-00660-TATA is ready for testing.
(0028551)
mkv (tester)
2014-03-28 17:29

Dear BugMaster,

Branch CR24767 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 6d24c8a7d85832e67496bac5d1b427b0ba668e5b

Number of compiler warnings:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 391212232 / 391508452
Total CPU difference: 70509.40999999974 / 51359.14999999966

Testing on Windows:
Total MEMORY difference: 396029020 / 395846248
Total CPU difference: 35441.546875 / 35037.796875

There are no differences in images found by testdiff.

- Related Changesets
occt: master c0ade4c6
Timestamp: 2014-03-27 13:25:41
Author: jgv
Committer: apn
Details ] Diff ]
0024767: Crash on making edges in HLRBRep
mod - src/HLRBRep/HLRBRep.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-26 18:46 aba New Issue
2014-03-26 18:46 aba Assigned To => jgv
2014-03-27 17:27 jgv Note Added: 0028518
2014-03-27 17:27 jgv Status new => resolved
2014-03-27 17:27 jgv Status resolved => reviewed
2014-03-27 17:28 jgv Assigned To jgv => mkv
2014-03-28 14:02 jgv Note Added: 0028537
2014-03-28 17:29 mkv Note Added: 0028551
2014-04-01 15:07 mkv Test case number => Not needed
2014-04-01 15:07 mkv Assigned To mkv => bugmaster
2014-04-01 15:07 mkv Status reviewed => tested
2014-04-01 18:06 apn Note View State: 0028551: private
2014-04-01 18:06 apn Note View State: 0028551: public
2014-04-04 17:03 apn Changeset attached => occt master c0ade4c6
2014-04-04 17:03 apn Assigned To bugmaster => apn
2014-04-04 17:03 apn Status tested => verified
2014-04-04 17:03 apn Resolution open => fixed
2014-04-09 16:51 jgv Additional Information Updated View Revisions
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker